Api reference
Dynamic account payment received
EVENTwebhook
Sent when an exact payment is confirmed. Return any 2xx response to acknowledge; retries use the same eventId and signed body.
Request
Parameters
Prop
Type
Request body (required)
Prop
Type
{ "eventId": "string", "event": "virtual_account.payment_received", "createdAt": "string", "data": { "dynamicAccountId": "string", "accountNumber": "string", "accountName": "string", "bankName": "string", "currency": "NGN", "expectedAmount": 0, "status": "paid", "expiresAt": "string", "paidAt": "string", "providerTransactionId": "string", "providerTransactionAt": "string" }}